#include <Application.h>
#include <View.h>
#include <Window.h>
#include <FilePanel.h>
#include <Bitmap.h>
#include <StringView.h>
#include <Box.h>
#include <Path.h>
#include <ScrollBar.h>
#include "thumbclass.h"


// Linked list structure for ImagingViews of thumbnails
struct	view_list {
	ImagingView *current;
	view_list 	*next;
};


class picview	:	public BApplication
{
	public:
		picview();
		virtual void	MessageReceived(BMessage *message);
		virtual void	RefsReceived(BMessage *message);
	protected:
		BWindow		*pic_Window;
		BButton		*see_Button; // to spawn a new window for pic
		BButton		*pic_Button; // browse button
		BButton		*die_Button; // to quit nicely
		uint8		click_cnt;
		char		click_msg[2][10];
		BFilePanel	*browse_panel;
		BDirectory	picdir;
		entry_ref 	refs;
		BPath		path;
		BEntry		entry;
		BWindow 	*mywindow;
		BWindow		*thumb_Window;
		ImagingView	*myview;
		BStringView *cur_dir;
		BStringView *info_view;
		BBitmap		*testbmp;
		char		cwd_string[256];
		char		info_string[256];
		bool		browse_sel;
		uint32		cnt_imgs;
		BRect		thumb_Rect;
		BEntry		view_entry;
		BPath		view_path;
		char 		filenm[256];
		ImagingView	*thumb_view;
		uint32		old_cnt;
		bool		test;
};
